package com.example.adaptateurarrayadapter;

import java.util.ArrayList;
import java.util.List;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		//le contrôle ListView
		ListView listView = (ListView) findViewById(R.id.listView1);
		
		//des données de test
		List<String> liste = new ArrayList<String>();
		liste.add("Etienne");
		liste.add("Emeline");
		liste.add("Edith");
		liste.add("Eric");

		
		//adaptateur item_1 fourni par android, alimenté par liste
		ArrayAdapter<String> adapter = new ArrayAdapter<String>(this, 
				      android.R.layout.simple_list_item_1, liste);
		
		//l'adaptateur est associé au listView
		listView.setAdapter(adapter);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}

}
